Properties Methods Events Config Options Direct Link

# Class Ext.LoadMask

Package: | Ext
Defined In: | LoadMask.js
Class: | LoadMask
Extends: | Object

A simple utility class for generically masking elements while loading data. If the element being masked has an underlying Ext.data.Store, the masking will be automatically synchronized with the store's loading process and the mask element will be cached for reuse. For all other elements, this mask will replace the element's Updater load indicator and will be destroyed after the initial load.

## Config Options

Config Options | Defined By
--- | ---
| msg : String The text to display in a centered loading message box (defaults to 'Loading...') | LoadMask
| msgCls : String The CSS class to apply to the loading message element (defaults to "x-mask-loading") | LoadMask
| removeMask : Boolean True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to pers... True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to persist the mask element reference for multiple uses (e.g., for paged data widgets). Defaults to false. | LoadMask

## Public Properties

Property | Defined By
--- | ---
| disabled : Boolean Read-only. True if the mask is currently disabled so that it will not be displayed (defaults to false) | LoadMask

## Public Methods

Method | Defined By
--- | ---

LoadMask( `Mixed el`, `Object config` )
Create a new LoadMask
Create a new LoadMask
Parameters:

- `el` : Mixed
  The element or DOM node, or its id
- `config` : Object
  The config object

Returns:

- ``

LoadMask

disable() : void
Disables the mask to prevent it from being displayed
Disables the mask to prevent it from being displayed
Parameters:

- None.

Returns:

- `void`

LoadMask

enable() : void
Enables the mask so that it can be displayed
Enables the mask so that it can be displayed
Parameters:

- None.

Returns:

- `void`

LoadMask

## Public Events

This class has no public events.